%define name pyslsk
%define version 1.2.7b
%define release %mkrel 3
%define distsuffix plf
%define fname %name-%version

#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Summary: Client for SoulSeek filesharing system.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.sensi.org/~ak/pyslsk/%fname.tar.bz2
Source1:   %name-48.png	
Source4: pyslsk-1.2.0-1-debian-manpages.tar.bz2
License: GPL
Group: Networking/File transfer
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
Requires: wxPythonGTK >= 2.6.0
BuildRequires: wxPythonGTK >= 2.6.0
BuildRequires: libpython-devel
%if %mdkversion < 200700
BuildRequires: XFree86-Xvfb
%else
BuildRequires: x11-server-xvfb
%endif
BuildRequires: ImageMagick
Requires: pyvorbis
Url: http://www.sensi.org/~ak/pyslsk/

%description
PySoulSeek is a client for the SoulSeek filesharing system. 

The package is in PLF as Mandrakelinux doesn't include P2P software.
%prep
%setup -q -n %fname -a 4
perl -pi -e "s!%{_datadir}/doc/pyslsk!%_datadir/doc/%name-%version!" pyslsk.1

%build
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY 
python setup.py build
kill $(cat /tmp/.X$XDISPLAY-lock)

%install
rm -rf %buildroot
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY 
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
kill $(cat /tmp/.X$XDISPLAY-lock)
#menu
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%{_menudir}/%name
?package(%name):command="%_bindir/%name" icon="%name.png" \
                needs="X11" section="Networking/File transfer" \
 title="PySoulSeek" longtitle="SoulSeek file sharing client" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PySoulSeek
Comment=SoulSeek file sharing client
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOF


#icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
install -m 644 %SOURCE1 %buildroot/%_liconsdir/%name.png	
convert -scale 32 %SOURCE1 %buildroot/%_iconsdir/%name.png	
convert -scale 16 %SOURCE1 %buildroot/%_miconsdir/%name.png	

mkdir -p %buildroot%_mandir/man1
install -m 644 *.1 %buildroot%_mandir/man1
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING INSTALL KNOWN_BUGS MAINTAINERS README* TODO
%{_bindir}/pyslsk
%{_bindir}/pyslsk-import-winconfig
%{py_puresitedir}/pysoulseek
%_menudir/%name
%_datadir/applications/mandriva*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_mandir/man1/*

%changelog
* Sun Jun 25 2006 Gtz Waschk <goetz@zarb.org> 1.2.7b-3plf2007.0
- xdg menu
- fix deps
- fix Xvfb call

* Mon Aug 29 2005 Gtz Waschk <goetz@zarb.org> 1.2.7b-2plf
- fix deps

* Mon May  9 2005 Gtz Waschk <goetz@zarb.org> 1.2.7b-1plf
- mkrel
- New release 1.2.7b

* Wed Jan 19 2005 Gtz Waschk <goetz@zarb.org> 1.2.6-1plf
- oops, a new version

* Sun Jan 11 2004 Gtz Waschk <goetz@plf.zarb.org> 1.2.5-1plf
- new version

* Fri Dec  5 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.4b-1plf
- new version

* Wed Oct  1 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.4a-1plf
- new version

* Sat Aug 16 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.4-1plf
- new version

* Sat Aug  9 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.3-2plf
- new python

* Thu Jul 24 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.3-1plf
- new version

* Fri Jul 18 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.2-3plf
- fix build

* Wed Jul 16 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.2-2plf
- add some directories to the package

* Wed Jun 25 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.2-1plf
- require new wxPythonGTK
- drop patch
- new version

* Wed Jun 18 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.1-1plf
- new version

* Fri Jun  6 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.0-2plf
- add debian man pages

* Mon May 19 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.0-1plf
- new version

* Thu May 15 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.0-0.pre4.1plf
- new version

* Tue May 13 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.0-0.pre3.1plf
- new version

* Wed Apr 30 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1.2-1plf
- new version

* Mon Apr 28 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1.1-1plf
- drop the prefix
- new version

* Tue Apr 22 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1.0-0.pre5.1plf
- new version

* Thu Apr 17 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1.0-0.pre3.1plf
- new version

* Tue Apr 15 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1.0-0.pre2.1plf
- new version

* Sat Apr  5 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1.0-0.pre1.1plf
- adapt doc file list
- new version

* Wed Mar 26 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.4-1plf
- new version

* Sat Mar 22 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.2-1plf
- new version

* Fri Mar 21 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.1-1plf
- new version

* Fri Mar 14 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-1plf
- new version

* Mon Mar  3 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.pre5a.1plf
- new version

* Sun Feb 23 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.pre1.1plf
- new version

* Wed Jan 29 2003 Gtz Waschk <goetz@plf.zarb.org> 0.4.11-2plf
- patch for wxPythonGTK version detection

* Mon Jan 27 2003 Gtz Waschk <goetz@plf.zarb.org> 0.4.11-1plf
- new version

* Mon Jan  6 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.4.10d-1plf
- new version

* Thu Jan  2 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.4.10c-1plf
- new version

* Mon Dec 30 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.4.10b-1plf
- make it require pyvorbis
- new version

* Mon Dec 23 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.4.10-1plf
- new version
- fix previous changelog

* Mon Nov 25 2002 Laurent Culioli <laurent@pschit.net> 0.4.9b-1plf
- new version

* Sun Nov 10 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.4.8-1plf
- buildrequires libpython2.2-devel
- change requires to wxPythonGTK
- new version

* Sat Oct 26 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.4.7-1plf
- start display number search at 1
- new version

* Sun Oct 13 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.4.6b-1plf
- use the Xvfb trick for build
- initial plf package
